<?php

class widgetContentImagegrid extends cmsWidget {

    public function run(){
         
        $album_id = $this->getOption('album_id');
        $show_widget_title = $this->getOption('show_widget_title');
        $step = $this->getOption('step');
        $animation_types = $this->getOption('animation_types');
        $animation_speed = $this->getOption('animation_speed');
        $interval = $this->getOption('interval');
        $w768raws = $this->getOption('w768raws');
        $w768columns = $this->getOption('w768columns');
        $w320raws = $this->getOption('w320raws');
        $w320columns = $this->getOption('w320columns');
        
        if (!$show_widget_title) {
            $this->is_title = false;
            $this->setWrapper('wrapper_plain');
        }
        
        $max_step = $step;
        if ($step<=0) { $step="'random'"; $max_step = 3; }
        
        if ($interval<300) { $interval=300; }

        $model = cmsCore::getModel('photos');
        
        $photos = $model->getPhotos($album_id);
        if (!$photos) { return false; }

        return array(
            'photos' => $photos,
            'step' => $step,
            'max_step' => $max_step,
            'animation_types' => $animation_types,
            'animation_speed' => $animation_speed,
            'interval' => $interval,
            'w768raws' => $w768raws,
            'w768columns' => $w768columns,
            'w320raws' => $w320raws,
            'w320columns' => $w320columns,
        );

    }

}
